Skip to main content
`Ctrl`+`K`

# numpy.polyadd

numpy.polyadd(a1, a2)

  Find the sum of two polynomials.

  Note

  This forms part of the old polynomial API. Since version 1.4, the new polynomial API defined in `numpy.polynomial` is preferred. A summary of the differences can be found in the transition guide.

  Returns the polynomial resulting from the sum of two input polynomials. Each input must be either a poly1d object or a 1D sequence of polynomial coefficients, from highest to lowest degree.

  Parameters:
    a1, a2 array_like or poly1d object

      Input polynomials.

  Returns:
    out ndarray or poly1d object

      The sum of the inputs. If either input is a poly1d object, then the output is also a poly1d object. Otherwise, it is a 1D array of polynomial coefficients from highest to lowest degree.

  See also

  `poly1d`

    A one-dimensional polynomial class.

  `poly`, `polyadd`, `polyder`, `polydiv`, `polyfit`, `polyint`, `polysub`, `polyval`

  Examples

      >>> import numpy as np
      >>> np.polyadd([1, 2], [9, 5, 4])
      array([9, 6, 6])

  Using poly1d objects:

      >>> p1 = np.poly1d([1, 2])
      >>> p2 = np.poly1d([9, 5, 4])
      >>> print(p1)
      1 x + 2
      >>> print(p2)
         2
      9 x + 5 x + 4
      >>> print(np.polyadd(p1, p2))
         2
      9 x + 6 x + 6